classification
Title: test_urllib2 fails on Windows if not run from C:
Type: behavior Stage:
Components: Tests, Windows Versions: Python 3.1, Python 3.2, Python 2.7, Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: orsenthil Nosy List: austin987, orsenthil
Priority: low Keywords: easy

Created on 2010-01-06 23:11 by austin987, last changed 2010-01-10 18:12 by orsenthil. This issue is now closed.

Files
File name Uploaded Description Edit
url.txt austin987, 2010-01-06 23:11 full output
Messages (5)
msg97332 - (view) Author: Austin English (austin987) Date: 2010-01-06 23:11
Passes fine if run from C:, but when run from any other drive, fails:

test_trivial (__main__.TrivialTests) ... ERROR

======================================================================
ERROR: test_trivial (__main__.TrivialTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "c:\Python31\lib\urllib\request.py", line 1189, in open_local_file
    stats = os.stat(localfile)
WindowsError: [Error 3] The system cannot find the path specified: '\\Python31\\
lib\\urllib\\request.py'
msg97526 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2010-01-10 17:37
Fixed in revision 77411 for trunk. Will merge it to other branches.
msg97530 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2010-01-10 18:01
merged it in other branches: r77413,r77414,r77415.
This fixes the errors in test_trivial tests. Verified on windows.
msg97532 - (view) Author: Austin English (austin987) Date: 2010-01-10 18:05
Woohoo, thanks!
msg97534 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2010-01-10 18:12
Just a Note: test_file in py26 had problems with multiple ips in this scenario (execute test.test_urllib2 from different drive in windows), but not in the py3k version. I need to verify it py26-maint/trunk.
History
Date User Action Args
2021-05-28 11:55:41iritkatriellinkissue3702 superseder
2010-01-10 18:12:07orsenthilsetmessages: + msg97534
2010-01-10 18:05:41austin987setmessages: + msg97532
2010-01-10 18:01:12orsenthilsetstatus: open -> closed
assignee: orsenthil
messages: + msg97530
2010-01-10 17:37:51orsenthilsetresolution: fixed
2010-01-10 17:37:36orsenthilsetmessages: + msg97526
versions: + Python 2.6, Python 2.7, Python 3.2
2010-01-06 23:56:58r.david.murraysetnosy: + orsenthil
priority: low
components: + Tests
keywords: + easy
type: behavior
2010-01-06 23:11:18austin987create